@import "assets/scss/global";

.input-number-field-wrapper {
    .field-group{
        width: 100%;
        display: flex;
        column-gap: 5px;
        align-items: center;

        .input-group {
            width: 100%;
            position: relative;
            display: flex;
            border: 1px solid $border-color;
            border-radius: 8px;
            height: 38px;
            box-sizing: border-box;
            padding: 10px;

            &:focus-within {
                border-color: $secondary-color;
            }

            div {
                display: flex;
                flex-direction: column;

                span {
                    cursor: pointer;
                    position: absolute;
                    width: 16px;
                    height: 16px;
                    right: 5px;

                    svg{
                        fill: $grey-color;
                    }
                }

                span:first-child {
                    top: 5px;

                    svg {
                        transform: rotate(180deg);
                    }
                }

                span:last-child {
                    bottom: 5px;
                }
            }

            input {
                width: 85%;
                border: 0;

                &:-webkit-autofill {
                    transition: background-color 999999999999s ease-in-out 0s;
                }
            }
        }

        .unit{
            font-size: 12px;
        }
    }

    &.error {
        .input-group {
            border-color: #F82626 !important;
        }

        .feedback {
            color: #F82626;
            font-size: 10px;
            line-height: 18px;
            margin-left: 15px;
        }
    }
}